﻿using System;

namespace EonaCat.WebSockets;
// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

[Serializable]
public class WebSocketException : Exception
{
    public WebSocketException(string message)
        : base(message)
    {
    }

    public WebSocketException(string message, Exception innerException)
        : base(message, innerException)
    {
    }
}