﻿namespace EonaCat.WebSockets.Extensions;
// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

public interface IWebSocketExtension
{
    string Name { get; }

    bool Rsv1BitOccupied { get; }
    bool Rsv2BitOccupied { get; }
    bool Rsv3BitOccupied { get; }

    string GetAgreedOffer();

    byte[] BuildExtensionData(byte[] payload, int offset, int count);

    byte[] ProcessIncomingMessagePayload(byte[] payload, int offset, int count);
    byte[] ProcessOutgoingMessagePayload(byte[] payload, int offset, int count);
}