﻿using System;

namespace EonaCat.WebSockets.Extensions;
// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

public abstract class AgreedExtensionParameter
{
    public AgreedExtensionParameter(string name)
    {
        if (string.IsNullOrWhiteSpace(name))
        {
            throw new ArgumentNullException("name");
        }

        Name = name;
    }

    public string Name { get; }
    public abstract ExtensionParameterType ParameterType { get; }

    public override string ToString()
    {
        return $"{Name}";
    }
}