﻿namespace EonaCat.WebSockets.SubProtocols;
// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

public interface IWebSocketSubProtocolNegotiator
{
    bool NegotiateAsClient(string protocolName, string protocolVersion, string protocolParameter,
        out string invalidParameter, out IWebSocketSubProtocol negotiatedSubProtocol);

    bool NegotiateAsServer(string protocolName, string protocolVersion, string protocolParameter,
        out string invalidParameter, out IWebSocketSubProtocol negotiatedSubProtocol);
}