﻿using System;

namespace EonaCat.WebSockets.SubProtocols;
// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

public sealed class WebSocketSubProtocolRequestDescription
{
    public WebSocketSubProtocolRequestDescription(string requestedSubProtocol)
    {
        if (string.IsNullOrWhiteSpace(requestedSubProtocol))
        {
            throw new ArgumentNullException("requestedSubProtocol");
        }

        RequestedSubProtocol = requestedSubProtocol;
    }

    public string RequestedSubProtocol { get; private set; }
}