﻿using System.Net.Security;
using System.Security.Authentication;
using System.Security.Cryptography.X509Certificates;

namespace EonaCat.Network;

public class SslOptions
{
    public SslProtocols SslProtocol { get; set; } = SslProtocols.Tls12;
    public bool CheckCertificateRevocation { get; set; } = true;
    public X509CertificateCollection ClientCertificates { get; set; }
    public RemoteCertificateValidationCallback CertificateValidationCallback { get; set; }
    public bool ClientCertificateRequired { get; set; }
}