﻿using System;
using System.Collections.Generic;

namespace EonaCat.WebSockets.Buffer;
// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

public interface ISegmentBufferManager
{
    ArraySegment<byte> BorrowBuffer();
    IEnumerable<ArraySegment<byte>> BorrowBuffers(int count);
    void ReturnBuffer(ArraySegment<byte> buffer);
    void ReturnBuffers(IEnumerable<ArraySegment<byte>> buffers);
    void ReturnBuffers(params ArraySegment<byte>[] buffers);
}