﻿namespace EonaCat.WebSockets.Extensions;
// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

public class AgreedValuableParameter<T> : AgreedExtensionParameter
{
    public AgreedValuableParameter(string name, T value)
        : base(name)
    {
        Value = value;
    }

    public override ExtensionParameterType ParameterType => ExtensionParameterType.Valuable;

    public T Value { get; }

    public override string ToString()
    {
        return $"{Name}={Value}";
    }
}