﻿using System;

namespace EonaCat.WebSockets.Extensions;
// This file is part of the EonaCat project(s) which is released under the Apache License.
// See the LICENSE file or go to https://EonaCat.com/License for full license details.

public sealed class WebSocketExtensionOfferDescription
{
    public WebSocketExtensionOfferDescription(string offer)
    {
        if (string.IsNullOrWhiteSpace(offer))
        {
            throw new ArgumentNullException("offer");
        }

        ExtensionNegotiationOffer = offer;
    }

    public string ExtensionNegotiationOffer { get; private set; }
}